Index: src/adns.c
===================================================================
RCS file: /cvsroot/ircd-hybrid-6/src/adns.c,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- src/adns.c	6 Feb 2002 04:56:12 -0000	1.9
+++ src/adns.c	4 Mar 2002 23:07:24 -0000	1.10
@@ -1,5 +1,5 @@
 /*
- * $Id: adns.c,v 1.9 2002/02/06 04:56:12 androsyn Exp $
+ * $Id: adns.c,v 1.10 2002/03/04 23:07:24 androsyn Exp $
  * adns.c  functions to enter libadns 
  *
  * Written by Aaron Sethman <androsyn@ratbox.org>
@@ -53,7 +53,8 @@
 void init_resolver(void)
 {
  int r;
-
+  
+ gettimeofday(&SystemTime, NULL);
  r =adns_init(&dns_state, adns_if_noautosys, 0);    
  if(dns_state == NULL) {
    log(L_CRIT, "Error opening /etc/resolv.conf: %s; r = %d", strerror(errno), r);
@@ -146,6 +147,7 @@
 	struct pollfd pfd[MAXFD_POLL];
 	int nfds = MAXFD_POLL;
 	int timeout = 0;
+	
 	adns_beforepoll(dns_state, pfd, &nfds, &timeout, &SystemTime);
 	poll(pfd, nfds, timeout);
 	adns_afterpoll(dns_state, pfd, nfds, &SystemTime);
@@ -155,6 +157,7 @@
 
 void do_adns_io(void)
 {
+        gettimeofday(&SystemTime, NULL);
 #ifdef USE_POLL
 	do_adns_poll();
 #else
